import { Player, Token } from "@prisma/client"
import errors from "../errors"
import prisma from "../../prisma"
import { NextApiRequest, NextApiResponse } from "next"
import sendError from "./sendError"

export default async function getPlayerByIdDB(
  req: NextApiRequest,
  res: NextApiResponse,
  tokenDB: Token,
  next: (player: Player) => void
) {
  // Find Host in DB if it still exists (just to make sure)
  const player = await prisma.player.findUnique({
    where: {
      id: tokenDB.ownerId,
    },
  })
  if (!player) {
    return sendError(req, res, errors.playerNotFound)
  }

  return next(player)
}
