import { TokenType } from "@prisma/client"
import { NextApiRequest, NextApiResponse } from "next"
import errors from "../errors"
import sendError from "./sendError"

async function getTokenFromCookie(
  req: NextApiRequest,
  res: NextApiResponse,
  next: (refreshToken: [string, TokenType]) => void
) {
  const tokenValue = req.cookies.token

  // Checking for cookie presens, because it is necessary
  if (!tokenValue) return sendError(req, res, errors.noCookie)

  return next([tokenValue, "REFRESH"])
}

export default getTokenFromCookie
