import { NextApiRequest, NextApiResponse } from "next"
import sendError from "./sendError"
import errors from "../errors"

async function getUserFromBody(
  req: NextApiRequest,
  res: NextApiResponse,
  next: (username: string, password: string) => void
) {
  const body = JSON.parse(req.body)
  if (
    typeof body !== "object" ||
    !body ||
    !("username" in body) ||
    typeof body.username !== "string"
  )
    return sendError(req, res, errors.noUsername)
  const { username } = body
  if (!("password" in body) || typeof body.password !== "string")
    return sendError(req, res, errors.noPassword)
  const { password } = body

  return next(username, password)
}

export default getUserFromBody
